﻿@model eCommerce.Services.Model.Customer
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Registrate";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<main id="authentication" class="inner-bottom-md">

    <div class="container">
        <div class="col-xs-12 no-margin">

            <div class="billing-address">
                <h2 class="border h1">Registrate</h2>
                <p class="page-subtitle">* Los usuarios mayoristas deberán ser verificados por la empresa antes de poder comprar en el sitio.</p>

                @using (Html.BeginForm("RegisterWithFacebook", "Account", FormMethod.Post, new { @class = "register-form cf-style-1", @autocomplete = "off" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="row field-row">
                        <div class="col-xs-12 col-sm-6">
                            <label>Nombre</label>
                            <input class="le-input" readonly value="@ViewBag.FirstName">
                        </div>
                        <div class="col-xs-12 col-sm-6">
                            <label>Apellido</label>
                            <input class="le-input" readonly value="@ViewBag.LastName">
                        </div>
                    </div>
                    <div class="row field-row">
                        <div class="col-xs-12 col-sm-6">
                            <label>Email</label>
                            <input class="le-input" readonly name="Email" value="@Model.Email">
                        </div>
                        <div class="col-xs-12 col-sm-6">
                            <label>Tipo de Comprador</label>
                            <select id="UserType" name="UserType" class="le-input">
                                @*<option value="@((int)UserTypeEnum.Minorista)">Consumidor Final</option>*@
                                <option value="@((int)UserTypeEnum.Mayorista)">Mayorista</option>
                            </select>
                        </div>
                    </div>
                    <div class="place-order-button">
                        <button type="submit" class="le-button huge">Registrarme</button>
                    </div>
                }
            </div>
        </div>

</main>

